On 29.01.2015 16:34, Emmanuel Bourg wrote:
> Package: libparanamer-java
> Version: 2.7-1
> Severity: grave
> Justification: renders package unusable
> 
> libparanamer-java doesn't contain the parent POM 
> (com.thoughtworks.paranamer:paranamer-parent)
> which is referenced in the paranamer's POM. This breaks any Maven build 
> depending on paranamer.
> For example when packaging Apache Avro I got this error:
> 
>   [INFO] 
> ------------------------------------------------------------------------
>   [ERROR] BUILD ERROR
>   [INFO] 
> ------------------------------------------------------------------------
>   [INFO] Error building POM (may not be this project's POM).
>   
>   
>   Project ID: com.thoughtworks.paranamer:paranamer:bundle:debian
>   
>   Reason: Cannot find parent: com.thoughtworks.paranamer:paranamer-parent for 
> project: com.thoughtworks.paranamer:paranamer:bundle:debian for project 
> com.thoughtworks.paranamer:paranamer:bundle:debian
> 
> The paranamer-parent POM should either be included in the package, or the 
> --no-parent
> flag should be added to the maven-repo-helper settings to remove the 
> reference to the
> parent POM.
> 

Hi Emmanuel,

thanks for noticing. I think I would go for adding the --no-parent flag.
Shall I update the package with this change?

Regards,

Markus


Attachment: signature.asc
Description: OpenPGP digital signature

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to